ctdb-pmda: Use modified API in pcp library 4.0
authorAmitay Isaacs <amitay@gmail.com>
Thu, 1 Mar 2018 01:32:26 +0000 (12:32 +1100)
committerKarolin Seeger <kseeger@samba.org>
Tue, 10 Jul 2018 08:44:13 +0000 (10:44 +0200)
commit6600f4b1641160c902e8318c64a33575610deb31
treec6b45e62f882823003cf5714bc578f08b97fd7b5
parent0e3f149a09201ae53d489fd48eec705df0ffdcca
ctdb-pmda: Use modified API in pcp library 4.0

Support backward compatibility by checking for __pmID_int type, which
was previously in <pcp/impl.h>.  In the new version, this type is not
defined anymore and there is no need to include <pcp/impl.h>.

Signed-off-by: Amitay Isaacs <amitay@gmail.com>
Reviewed-by: Martin Schwenke <martin@meltin.net>
Autobuild-User(master): Martin Schwenke <martins@samba.org>
Autobuild-Date(master): Fri Mar  2 00:38:52 CET 2018 on sn-devel-144

(cherry picked from commit 426e4a5a20cff73a80d80b46f15826deac3f934f)
ctdb/utils/pmda/pmda_ctdb.c
ctdb/wscript